Subject: Offline Message from Rama: Hi I was ordered in 3 months ago and when my shi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 10 Jun 2020 01:59:49 -0000

From: Rama <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/
Department: 

Hi

I was ordered in 3 months ago and when my shipment late, I was contact with ur team on 2 of May2020 and then the team put new order for me. Until now my shipment is't deliver. I'm so angry of u guys! Why u can't be honest with me? This is number of order 200285634 please, tell me about my shipment.

Thx

----
Zopim
https://www.zopim.com